Changes since tag v10.2.0.118

commit 8bab6252365022b8e6e91a04d09cd6ed1f72a6a7
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Mon May 19 15:05:04 2025 -0300

    Ensure the global config spell table exists.

commit f3c94987f7423a80f36c83c5b3eaf29fa2624e34
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Mon May 19 15:00:34 2025 -0300

    Added latency compensation and faster ticks for interrupt spells.

commit 333c76f929b5a4dd81d4276fb76a21dd1a0bac8d
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sun May 11 11:37:34 2025 -0300

    Version Bump

commit b9c74390012f7ee4efc741f0e2c50974b06c3849
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sun May 11 11:36:21 2025 -0300

    Fix comm bigger than 255 bytes being ignore.

commit fd7b6a04e830abe746d6987b9978bf538d091cb3
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri May 9 14:38:53 2025 -0300

    Fix itemlink string manipulation

commit 90aa1e5133a1629dcf7c77eab631ee91da033c36
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sun May 4 20:13:59 2025 -0300

    Version Bump

commit 1469a81181447ea38c45cacb8498038b13ee0988
Author: Elehiggle <Elehiggle@users.noreply.github.com>
Date:   Mon May 5 01:04:41 2025 +0200

    Fix broken itemLink parsing
    
    As per new itemLink changes introducing itemQuality as first property.

commit 1469a81181447ea38c45cacb8498038b13ee0988
Author: Elehiggle <Elehiggle@users.noreply.github.com>
Date:   Mon May 5 01:04:41 2025 +0200

    Fix broken itemLink parsing
    
    As per new itemLink changes introducing itemQuality as first property.

commit e54bc05cc9d6ac2d5ff814c5b48d5d39c4be7dfa
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sat May 3 17:03:39 2025 -0300

    Mists of Pandaria support

commit 124f9444d104cc234be67f5e990b86a44e044a9e
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sat Apr 26 12:17:32 2025 -0300

    Version UP

commit 3d608c51faebb9557168225fa339ac0bb87d8584
Author: Lynn <kjarli@gmail.com>
Date:   Sat Apr 26 11:18:12 2025 +0200

    Removed leftover prints
    
    Not sure if you want to keep them for debugging purposes with a debug tag instead (can close this PR if so)

commit 3d608c51faebb9557168225fa339ac0bb87d8584
Author: Lynn <kjarli@gmail.com>
Date:   Sat Apr 26 11:18:12 2025 +0200

    Removed leftover prints
    
    Not sure if you want to keep them for debugging purposes with a debug tag instead (can close this PR if so)

commit a9a1a5d16c80b7962189010455191ea8c4e0780e
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Thu Apr 24 15:23:18 2025 -0300

    Fixed an issue with Paladin blessing of Warning and Protection not triggering the cooldown usage when only one of them is talented.

commit 1f32f2845aec4a4e67c55ea27ac428f16f6e3c8a
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Thu Apr 24 12:56:22 2025 -0300

    Version Bump

commit d983d82e7ad63ff97887dd95f1d81b0ce6e95780
Author: m33shoq <91337254+m33shoq@users.noreply.github.com>
Date:   Thu Apr 24 18:45:17 2025 +0300

    fix nil error for m+ summary

commit d983d82e7ad63ff97887dd95f1d81b0ce6e95780
Author: m33shoq <91337254+m33shoq@users.noreply.github.com>
Date:   Thu Apr 24 18:45:17 2025 +0300

    fix nil error for m+ summary

commit 5add0eb41f49a0a1ef458e63ccedcfc54d9f509a
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Tue Apr 22 18:05:23 2025 -0300

    Added Heartseeking Health Injector (engineering tinker) to healing potions.

commit 92834e9587553e3ad5120bfe9345f47679320a93
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Apr 18 17:46:48 2025 -0300

    Version Up for new merges.

commit 974c20b1ff402d3a632bc594b53a20ed9b909102
Author: Lynn <kjarli@gmail.com>
Date:   Fri Apr 18 19:38:35 2025 +0200

    Change warrior disrupting should to be an interrupt instead of CC

commit 974c20b1ff402d3a632bc594b53a20ed9b909102
Author: Lynn <kjarli@gmail.com>
Date:   Fri Apr 18 19:38:35 2025 +0200

    Change warrior disrupting should to be an interrupt instead of CC

commit 974c20b1ff402d3a632bc594b53a20ed9b909102
Author: Lynn <kjarli@gmail.com>
Date:   Fri Apr 18 19:38:35 2025 +0200

    Change warrior disrupting should to be an interrupt instead of CC

commit d9a0599748b4c96e929b4033786b43e4f57c3997
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sun Apr 13 15:28:08 2025 -0300

    Improved the list of Crowd Control spells

commit 77b4a30d1f044505f517972f7afef03f96be7001
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sat Apr 12 15:42:31 2025 -0300

    Added: openRaidLib.GetCCSpellIdBySpellName(spellName)

commit c465977e44030486e81fca97264b9705cdb0f100
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Apr 9 13:34:50 2025 -0300

    Removed spaces (probably trim called in the file)

commit e0ff05de0121badf985bc5bc8d7cef6cea515b49
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Apr 4 21:03:50 2025 -0300

    Removed interrupts from crowd control spells

commit 515d8cc8ba4aa9f9ef7b134e03a24a1d92d1d313
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Fri Mar 14 07:04:22 2025 +0000

    Update LibOpenRaid.lua
    
    Bump lib version.

commit 97f3bc20efa2de6474616f4787b2a1d5dca93535
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Tue Mar 4 15:36:30 2025 +0000

    Update ThingsToMantain_WarWithin.lua
    
    Evangelism changed spellID but is otherwise the same it seems

commit db267c529167378093d355edf44ba652925937a7
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Wed Feb 19 21:36:01 2025 +0000

    Adjust a few spell Types
    
    Wraith Walk, Apotheosis and Emerald Communion - changed categories.

commit 2acd338275d2c7705821a2172b471e85f70967ef
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Thu Jan 30 11:50:39 2025 -0300

    Fixed an issue spell shared ids where it was triggering the cooldown without checking if the Unit has the spell available.

commit c39a479c5f027405414e3c1781286a5f8719be89
Author: potat0nerd <113597723+potat0nerd@users.noreply.github.com>
Date:   Wed Jan 22 21:41:18 2025 +0100

    Priest Fixes (#62)
    
    * Ultimate Penitence
    
    * Fix Halo SpellID

commit 985f124a914e32d9c2c2ff6e2c46dda8d809a792
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Mon Jan 13 14:47:02 2025 -0300

    Cooldown list update

commit 454af0d0fb2fbb3078fff7679234f668cd1f8349
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Thu Dec 19 14:18:55 2024 -0300

    Check if spell cooldown if lesser or equal to the current global cooldown

commit 158b579ab731f631bbc5d0d7aa5ab55a5cfba918
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Dec 4 16:07:46 2024 -0300

    Merge

commit 36c926ad610ee8ab534e0865b2592315915d7dde
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Dec 4 15:25:31 2024 -0300

    Major upgrade on UnitInfo: removed v9 covenants and added v11 heroTalentID, talents are now a exported string instead of spellIds

commit a2fdcd2603069987ef6a2e4e2711b21048d9f6be
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Nov 20 14:21:47 2024 -0300

    Changed Breath of Eons spellId from 403631 to 442204.

commit d4950960f340c96f69515c050d3cba6857907154
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Nov 15 09:53:36 2024 -0300

    Added 'cdType' key to healer cooldowns which tells if the cooldown is heal, damage reduction, etc. Added classes file.

commit 9f2816b5397df32e08b7c32ffa1658b87317da67
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Thu Nov 14 15:11:44 2024 +0000

    Update LibOpenRaid.lua
    
    Bump version after recent additions

commit 50db2c02d53f9a5c47d41c428c1c4e203e6812f7
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Fri Nov 8 15:43:36 2024 +0000

    Update ThingsToMantain_WarWithin.lua
    
    Add Kingsbane to Ass Rogue

commit 6aa93518e59e10511f2890222cf7ec64a317eb5c
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Fri Nov 8 15:37:25 2024 +0000

    Update ThingsToMantain_WarWithin.lua
    
    Add Doom Winds to Shaman CDs

commit 4831bb6a1a4d9c22992a2c12e19e7ec0f1243a09
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Oct 18 13:12:03 2024 -0300

    Auto remove spells that are not found in the client; Added LIB_OPEN_RAID_SPELL_INTERRUPT_BYCLASS[ClassName][SpellId] = spellData

commit c97e0a34b62cd02d44e098e18d39653ff6484282
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Fri Oct 18 16:49:23 2024 +0100

    Update ThingsToMantain_WarWithin.lua
    
    Fix Deathmark (rogue)

commit 9edbdd437121b672c421d9caa6755cc9dc0aaee2
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Fri Oct 18 16:40:06 2024 +0100

    Update ThingsToMantain_WarWithin.lua
    
    Fix Celestial Alignment (Druid) spellID

commit 05f0d12908caf72b1d4413894ec96e236ede085f
Author: Eli White <github@eli-white.com>
Date:   Sun Oct 13 17:48:00 2024 -0700

    Add support for transmitting Rating
    
    When playing with my friends, we want to see what dungeon to do based on what will give the most rating. We normally have to ask each other "what's your lowest". This commit adds support to automatically communicate dungeon rating information, to power a UI like `/keys`.
    
    This is essentially transmitting the entirety of `C_PlayerInfo.GetPlayerMythicPlusRatingSummary("player")`, with the additional ClassID information so my UI can color player names.
    
    I've validated this code with my friends in my own addon here: https://legacy.curseforge.com/wow/addons/details-mythic-group-rating

commit b40cfb7193ad087d37960bc4c3570a4de70a0fa4
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sat Oct 5 16:58:04 2024 -0300

    Version Up

commit 46d385451fe9de17c00f78f5f479bfb6095eb5c3
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sat Oct 5 16:57:43 2024 -0300

    Fix for pet spells

commit b591bf2cd4314ff0ddb3241c85937c46813ecd9c
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Wed Sep 25 07:00:20 2024 +0100

    Update ThingsToMantain_WarWithin.lua
    
    Add Engulf to Evoker

commit b186c4494a74a71ca9c6cbbcacc15124fd335f3b
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Thu Sep 19 17:21:10 2024 -0300

    Version bump

commit 029924933bc658d54aa23ebcf94dd2747be5e6e0
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Thu Sep 19 15:26:42 2024 +0100

    Update ThingsToMantain_WarWithin.lua
    
    Add Oppressing Roar new ID

commit dc2d3e6d2077b388ad592976d061faafdc76b7eb
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Sep 11 08:44:18 2024 -0300

    added hunter pvp crowd control

commit 09a1abdc6159f49f857839e8266748fb726dd415
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Sun Sep 8 14:55:06 2024 +0100

    Add Spells
    
    Celestial Conduit (Monk hero talent) and Halo (Priest)

commit 93b6a8d1658f6137d8be8ce44c5c23006c34ff3f
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Sep 6 23:12:21 2024 -0300

    Added enchant, potions, flasks, health and mana potions. Added some npcId > displayId, Added spited comm for logged messages

commit 2952d15f07c3168a42a72f2da7c6d5bcc60d865c
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Mon Aug 26 11:06:11 2024 -0300

    Added a protocol for string sharing

commit 42804b4fe9576d4d708dafd0dec95c050119044a
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Mon Aug 19 11:49:31 2024 -0300

    Fixed an issue where the lib wasn't caching the data for the local player

commit 1adeaa7265102ad1d7b470753337185bc894b7e6
Author: asakawa <54901700+asaka-wa@users.noreply.github.com>
Date:   Sun Aug 11 13:54:48 2024 +0100

    Add spells to TWW

commit c9ba3b97de945f4a7ad77fb41a3b741149957c05
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Aug 9 20:52:04 2024 -0300

    Added hunter Implosive Trap as type 8

commit 3e79028101b67a4c3b4d8d4cdaff95484a8b82e6
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Mon Aug 5 13:44:58 2024 -0300

    Check for keystone update when a backpack item is changed

commit 579a054f7c0d90a6c359c33bb4d9d24a93be6f3b
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Jul 31 23:07:00 2024 -0300

    Send the keystone info after 2 seconds after the player entered in the world

commit ded2fe78242e1d0d947aee6d16ee7725faee8685
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Tue Jul 30 12:55:46 2024 -0300

    Added keystone item id for wow11

commit 9e7ab41584a0e822be7f156711cc5fcf05ed241a
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Jul 24 19:36:21 2024 -0300

    Fixed not getting class spells and adding passive spells

commit d13036727ee8700cd772f957e5663d12fe0dfcd9
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Jul 24 16:08:52 2024 -0300

    Check for V11 functions before V10

commit de8eac448902e1b0b249a5ee214f1437a3229aba
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Tue Jul 9 12:49:53 2024 -0300

    update

commit 18dbeb1a0d6ed946b0b6a5ddc452348e9af6eb43
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Jun 19 21:46:36 2024 -0300

    Fix for GetSpellCharges

commit c609d3bf26e1e216aa8c306bc52d85a693e19f3f
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sat Jun 15 11:29:48 2024 -0300

    More spellbook fixes

commit f42d7b7f15bc1cd92359eeac8954d22be28d723b
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Thu Jun 13 14:37:24 2024 -0300

    v11 fixes

commit 21270aa10be3d2555e96c43b9cbf6dac44ae0bf8
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sun Jun 9 13:28:47 2024 -0300

    GetOverrideSpell support for v10 and v11

commit 1fe9a81c6e711e52d71b7632c96b830726787006
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sat Jun 8 21:21:03 2024 -0300

    Fixing C_Traint

commit 2760f7fcd7aa002bd58ae4c13c60080f255f3299
Author: Vollmer <kristianvollmer@gmail.com>
Date:   Fri Jun 7 16:03:45 2024 +0200

    GetItemInfo is also being deprecated

commit 2760f7fcd7aa002bd58ae4c13c60080f255f3299
Author: Vollmer <kristianvollmer@gmail.com>
Date:   Fri Jun 7 16:03:45 2024 +0200

    GetItemInfo is also being deprecated

commit 841697773b6cb35e2fc3ab53066d1d628636918b
Author: Vollmer <kristianvollmer@gmail.com>
Date:   Fri Jun 7 15:40:01 2024 +0200

    add prelim ThingsToMantain for TWW

commit a148a177fa1e58a7d95614edc9293732dd246e8e
Author: Vollmer <kristianvollmer@gmail.com>
Date:   Fri Jun 7 12:46:53 2024 +0200

    Make GetItemStats local

commit 0c267e0b93efecedd88a422c171e45a0ee9b3441
Author: Vollmer <kristianvollmer@gmail.com>
Date:   Fri Jun 7 12:45:03 2024 +0200

    Remove unused local GetItemInfo fn

commit df28b646b8130a4117430605e568981e9b4a159d
Author: Vollmer <kristianvollmer@gmail.com>
Date:   Fri Jun 7 12:44:12 2024 +0200

    Add TWW compat functions for GetPlayerInformation

commit 9b74ec1276ff25cf76142441c31f7f54d9161db3
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Sat Apr 20 12:55:10 2024 -0300

    Support to Cata Beta

commit f2e7094604c52748533146de4e3f0698ba76b332
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Apr 5 17:53:28 2024 -0300

    Added data for cataclysm

commit 2f1eb2a0acf415cae93a36c081fddd30cd0872ec
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Mon Feb 5 20:05:42 2024 -0300

    Adding LIB_OPEN_RAID_CROWDCONTROL to Wrath and Era to avoid errors

commit a5f3fc9b5bcdb64189fd7d0ab29dc9ade463e930
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Mon Feb 5 19:58:23 2024 -0300

    Added _G.LIB_OPEN_RAID_CROWDCONTROL, this is a list of crowd control spells (not shared on comms)

commit 41c8eb96c20940be28bec096cdcdfe7aa4bba26c
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Jan 19 16:58:34 2024 -0300

    Making sure that not in use code, do not run.

commit 41c8eb96c20940be28bec096cdcdfe7aa4bba26c
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Jan 19 16:58:34 2024 -0300

    Making sure that not in use code, do not run.

commit 41c8eb96c20940be28bec096cdcdfe7aa4bba26c
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Jan 19 16:58:34 2024 -0300

    Making sure that not in use code, do not run.

commit 46095fa8989708d7929d186d964232a454ab6bc8
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Jan 17 19:01:17 2024 -0300

    Removed print debugstack error and let the errorhandler show the actual error instead of showing the path which leave the creation of the time that errored

commit 46095fa8989708d7929d186d964232a454ab6bc8
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Jan 17 19:01:17 2024 -0300

    Removed print debugstack error and let the errorhandler show the actual error instead of showing the path which leave the creation of the time that errored

commit 22b948ad7ed46ebb81d06bf46ae958284e94b7ff
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Wed Jan 17 11:38:13 2024 -0300

    Make send keystone to guild faster, as it seems to not make part of the comm limitations.

commit 51f79394de162a77d2618d57709512a0332f68e3
Author: Allen Faure <afaure6@gmail.com>
Date:   Tue Jan 16 16:35:14 2024 -0600

    Fix Usage error

commit 51f79394de162a77d2618d57709512a0332f68e3
Author: Allen Faure <afaure6@gmail.com>
Date:   Tue Jan 16 16:35:14 2024 -0600

    Fix Usage error

commit ef0f41755cf13fd5f8e07444494986bc9a8eb22b
Author: Bruno Marcetic <bruno.marcetic@gmail.com>
Date:   Tue Jan 16 23:16:51 2024 +0100

    Added some comments

commit a493ba17fa1b605d6835224c33779311276df3bb
Author: Bruno Marcetic <bruno.marcetic@gmail.com>
Date:   Tue Jan 16 14:22:21 2024 +0100

    No need to queue for GUILD channel as its not throttled the same way

commit 2a121ee5e851999c90d0c3a800da95256415019f
Author: Bruno Marcetic <bruno.marcetic@gmail.com>
Date:   Tue Jan 16 14:09:30 2024 +0100

    Remove prints

commit 43f8871979f3bbd12974368bdd0b93b6550c0402
Author: Bruno Marcetic <bruno.marcetic@gmail.com>
Date:   Tue Jan 16 13:52:06 2024 +0100

    Use 9 as BURST MAX as we are not 100% sure when does the burst buffer start refilling

commit ca43772cc22d4617e5430b288987364e76bea205
Author: Bruno Marcetic <bruno.marcetic@gmail.com>
Date:   Tue Jan 16 13:48:53 2024 +0100

    Make use of Burst Buffer for network comms, as well swap to FIFO from FILO queue

commit 1ade88cc95630e8522c02dd2af01181f53f2e414
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Jan 12 13:50:09 2024 -0300

    Fixed the querying keystone data from the party, where sometimes would take a few seconds to receive results

commit 95ceb1740108646c4079daddac4153e62ded9426
Author: Tercio Jose <terciob19@hotmail.com>
Date:   Fri Dec 29 17:20:08 2023 -0300

    Update LibOpenRaid.lua

